Skip to content
Start here

Delete Rotated OAuth Client Secret

iam.oauth_clients.delete_rotated_secret(stroauth_client_id, OAuthClientDeleteRotatedSecretParams**kwargs) -> OAuthClientDeleteRotatedSecretResponse
DELETE/accounts/{account_id}/oauth_clients/{oauth_client_id}/rotate_secret

Removes the old client secret after a rotation, keeping only the new one. Use this after you have updated your client configuration to use the new secret. The has_rotated_secret field on the client indicates whether there is an old secret to delete.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
OAuth Client Write
ParametersExpand Collapse
account_id: str

Account identifier tag.

maxLength32
minLength32
oauth_client_id: str

The unique identifier for an OAuth client.

ReturnsExpand Collapse
class OAuthClientDeleteRotatedSecretResponse:
id: str

Identifier

maxLength32
minLength32

Delete Rotated OAuth Client Secret

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.iam.oauth_clients.delete_rotated_secret(
    oauth_client_id="a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}